<template>
  <md-app-drawer :md-active.sync="menuVisible">
        <md-toolbar class="md-transparent" md-elevation="0">Navigation</md-toolbar>

        <md-list>
          <md-list-item>
            <md-icon>move_to_inbox</md-icon>
            <span class="md-list-item-text">Inbox</span>
          </md-list-item>

          <md-list-item>
            <md-icon>send</md-icon>
            <span class="md-list-item-text">Sent Mail</span>
          </md-list-item>

          <md-list-item>
            <md-icon>delete</md-icon>
            <span class="md-list-item-text">Trash</span>
          </md-list-item>

          <md-list-item>
            <md-icon>error</md-icon>
            <span class="md-list-item-text">Spam</span>
          </md-list-item>

          <md-list-item v-for="route in this.routes" :key="path">
            <a :href="'/#' + route.path" class="md-list-item-text">{{ route.name }}</a>
          </md-list-item>
        </md-list>
      </md-app-drawer>
</template>

<script>
  export default {
    name: 'Nav',
    data () {
      return {
        routes: this.$router.options.routes
      }
    }
  }
</script>

<style lang="scss" scoped>
  @import "../../style/variables";
</style>
